: Class IdentityStructure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.prefs.base
Class IdentityStructure

    java.lang.Object
      |
      +--grendel.prefs.base.IdentityStructure

public class IdentityStructure
extends java.lang.Object

Constructor Summary
`IdentityStructure()`
`IdentityStructure(java.lang.String aDescription)`

Method Summary
`java.lang.String` | `getDescription()`
`java.lang.String` | `getEMail()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOrganization()`
`java.lang.String` | `getReplyTo()`
`java.lang.String` | `getSignature()`
`void` | `setDescription(java.lang.String aDescription)`
`void` | `setEMail(java.lang.String aEMail)`
`void` | `setName(java.lang.String aName)`
`void` | `setOrganization(java.lang.String aOrganization)`
`void` | `setReplyTo(java.lang.String aReplyTo)`
`void` | `setSignature(java.lang.String aSignature)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityStructure

    public IdentityStructure()

### IdentityStructure

    public IdentityStructure(java.lang.String aDescription)

Method Detail

### getDescription

    public java.lang.String getDescription()

### getName

    public java.lang.String getName()

### getEMail

    public java.lang.String getEMail()

### getReplyTo

    public java.lang.String getReplyTo()

### getOrganization

    public java.lang.String getOrganization()

### getSignature

    public java.lang.String getSignature()

### setDescription

    public void setDescription(java.lang.String aDescription)

### setName

    public void setName(java.lang.String aName)

### setEMail

    public void setEMail(java.lang.String aEMail)

### setReplyTo

    public void setReplyTo(java.lang.String aReplyTo)

### setOrganization

    public void setOrganization(java.lang.String aOrganization)

### setSignature

    public void setSignature(java.lang.String aSignature)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD